package com.yuchen.saas.park.service.wrapper;

import com.yuchen.saas.park.api.entity.park.PmgBatFireWarning;
import com.yuchen.saas.park.api.vo.park.fire.FireWarningVO;
import com.yuchen.saas.park.service.util.DateTimeUtils;
import org.nest.springwrap.core.mp.support.BaseEntityWrapper;

/**
 * @author 颜艺波
 * @date 2022/6/27 16:38
 * @Description
 */
public class FireWarningWrapper extends BaseEntityWrapper<PmgBatFireWarning, FireWarningVO> {
    @Override
    public FireWarningVO entityVO(PmgBatFireWarning entity) {
        FireWarningVO fireWarningVO = new FireWarningVO();
        fireWarningVO.setParkId(entity.getParkId());
        fireWarningVO.setProductKey(entity.getProductKey());
        fireWarningVO.setDeviceName(entity.getDeviceName());
        fireWarningVO.setIdentity(entity.getIdentity());
        fireWarningVO.setLevel(entity.getLevel());
        fireWarningVO.setPicUrl(entity.getPicUrl());
        fireWarningVO.setWarningInfo(entity.getWarningInfo());
        fireWarningVO.setTriggerTime(DateTimeUtils.timestampToDateTime(entity.getTriggerTime()));
        return fireWarningVO;
    }
}
